@echo off

setlocal enabledelayedexpansion

goto start

:convert.sh WavelengthOffset ChannelOffset File
:WavelengthOffset: 波长偏移量，默认为1510000
:ChannelOffset: 通道偏移量
:File: 保存的文件，不需要文件扩展名，将自动搜索.dat文件

:start

set wl=1510000
set ch=0
set fp=.\\Data2\\test

if not "%1"=="" (
	set wl=%1
)

if not "%2"=="" (
	set ch=%2
)

if not "%3"=="" (
	set fp=%3
)

convert.exe %wl% %ch% %fp%

pause